def calcFreq(fname: str) -> dict:
    """ Returns the frequency counts of words in a file 
    
    Parameters: 
        fname (str): Name of a plain-text file
    Returns:
        word2count (dict): Dictionary mapping words to their frequencies
    """
    word2count = {}

    # Your code here
    with open(fname, 'r') as f: 
        for sentence in f:
            sentence = sentence.strip()
            for word in sentence.lower().split(' '):
                word2count[word] = word2count.get(word, 0)+1
    return word2count

def main() -> None:
    # Your code here 
    fname = "../data/tinytext.txt"
    freqs = calcFreq(fname)
    for word, count in freqs.items():
        print(word, count)
main()
